#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	aqbanking
Version		:	6.5.4
Release		:	16.2.0.rel%{?dist}
Summary		:	A library for online banking functions and financial data import/export

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://www.aquamaniac.de/rdm/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	glib-devel	>= 2.72.1
BuildRequires	:	gnutls
BuildRequires	:	gettext
BuildRequires	:	gtk3+		>= 3.24.33
BuildRequires	:	gwenhywfar-devel
BuildRequires	:	libgcrypt
BuildRequires	:	openssl-devel
BuildRequires	:	qt
BuildRequires	:	xmlsec1

Requires	:	make-ca
#-----------------------------------------------------------------------------
%description
The intention of AqBanking is to provide a middle layer
between the program and the various Online Banking
libraries (e.g. AqHBCI). The first backend which is
already supported is AqHBCI, a library which implements
a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides
various plugins to simplify import and export of
financial data. Currently there are import plugins for
the following formats: DTAUS (German financial format),
SWIFT (MT940 and MT942).

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-, root,root,-)
%doc %{_datadir}/doc/%{name}
%{_bindir}/%{name}-cli
%{_bindir}/aqebics-tool
%{_bindir}/aqhbci-tool4
%{_bindir}/aqpaypal-tool
%{_bindir}/aqofxconnect-tool
%{_libdir}/lib%{name}.so.44*
%{_libdir}/%{name}/plugins/44/*
%{_datadir}/%{name}/dialogs/*.dlg
%{_datadir}/%{name}/backends/aqebics/dialogs/*.dlg
%{_datadir}/%{name}/backends/aqhbci/hbci.xml
%{_datadir}/%{name}/backends/aqhbci/dialogs/*.dlg
%{_datadir}/%{name}/backends/aqhbci/dialogs/*.png
%{_datadir}/%{name}/backends/aqofxconnect/dialogs/*.dlg
%{_datadir}/%{name}/backends/aqpaypal/dialogs/*.dlg
%{_datadir}/%{name}/bankinfo/de/
%{_datadir}/%{name}/imexporters/
	
#=============================================================================
%package		devel

Summary		:	Development headers for Aqbanking

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains aqbanking-config and header files
for writing and compiling programs using Aqbanking.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/aqbanking-config
%{_includedir}/%{name}6/%{name}/*.h
%{_includedir}/%{name}6/%{name}/gui/*.h
%{_includedir}/%{name}6/%{name}/types/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}-*/*.cmake
%{_datadir}/aclocal/%{name}.m4
%{_datadir}/%{name}/typemaker2/c/*.tm2
%{_datadir}/%{name}/%{name}/typemaker2/c/*.tm2

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -i -f

export PKG_CONFIG=/usr/bin/pkg-config
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-gwenhywfar				\
	--enable-gui-tests=no				\
	--with-build-datetime="$(date +%Y%m%d)"		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
